Bug 172267 - Review Request: srtp - An implementation of the Secure Real-time Transport Protocol (SRTP)
Review Request: srtp - An implementation of the Secure Real-time Transport Pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://srtp.sourceforge.net/srtp.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-02 00:13 EST by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 22:40:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2005-11-02 00:13:25 EST
Spec Name or Url: http://www.ocjtech.us/srtp-1.4.1-1.spec
SRPM Name or Url: http://www.ocjtech.us/srtp-1.4.1-1.src.rpm
Description:

The libSRTP library is an open-source implementation of the Secure
Real-time Transport Protocol (SRTP) originally authored by Cisco
Systems, Inc. SRTP is a security profile for RTP that adds
confidentiality, message authentication, and replay protection to that
protocol. It is specified in RFC 3711.
Comment 1 John Mahowald 2005-12-20 18:27:43 EST
Builds in mock, FC4 i386.

Needs work:
* rpmlint of srtp: Split the headers and developent libraries off into a
seperate devel package. See Extras/PackageReviewGuidelines on the wiki.
Comment 2 Jeffrey C. Ollie 2006-01-31 22:40:58 EST
Sorry it's taken me so long to get back to this...

If I were to move the headers and development libraries to a -devel package,
there wouldn't be anything left in the main package!  Unfortunately, the package
only builds a static library.  Yeah, I know, but without some serious Makefile
hackery that would go above any beyond what a packager should do to get a
package built there won't be any shared libs.

Anyway, I think that I'm just going to close this bug since I no longer have a
need for this particular package.
Comment 3 Christian Iseli 2006-03-29 09:21:17 EST
Removed FE-REVIEW blocker.

Note You need to log in before you can comment on or make changes to this bug.